org.jfree.base.modules

## Class ModuleInitializeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jfree.util.StackableException
      - - org.jfree.base.modules.ModuleInitializeException

- All Implemented Interfaces:
    java.io.Serializable

      public class ModuleInitializeException
      extends StackableException

  This exception is thrown when the module initialization encountered an unrecoverable error which prevents the module from being used.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuleInitializeException()` Creates a ModuleInitializeException with no message and no base exception.
    `ModuleInitializeException(java.lang.String s)` Creates a ModuleInitializeException with the given message and no base exception.
    `ModuleInitializeException(java.lang.String s, java.lang.Exception e)` Creates a ModuleInitializeException with the given message and base exception.

  - ### Method Summary

    - ### Methods inherited from class org.jfree.util.StackableException

      `getParent, printStackTrace, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModuleInitializeException

          public ModuleInitializeException()

      Creates a ModuleInitializeException with no message and no base exception.

    - #### ModuleInitializeException

          public ModuleInitializeException(java.lang.String s,
                                           java.lang.Exception e)

      Creates a ModuleInitializeException with the given message and base exception.
      Parameters:
        `s` - the message
        `e` - the root exception

    - #### ModuleInitializeException

          public ModuleInitializeException(java.lang.String s)

      Creates a ModuleInitializeException with the given message and no base exception.
      Parameters:
        `s` - the exception message